Skip to main content
`Ctrl`+`K`
scipy.spatial.distance.

# sqeuclidean

scipy.spatial.distance.sqeuclidean(u, v, w=None)

  Compute the squared Euclidean distance between two 1-D arrays.

  The squared Euclidean distance between u and v is defined as

  \[\sum_i{w_i |u_i - v_i|^2}\]
  Parameters:
    u(N,) array_like

      Input array.

    v(N,) array_like

      Input array.

    w(N,) array_like, optional

      The weights for each value in u and v. Default is None, which gives each value a weight of 1.0

  Returns:
    sqeuclidean double

      The squared Euclidean distance between vectors u and v.

  Examples

      >>> from scipy.spatial import distance
      >>> distance.sqeuclidean([1, 0, 0], [0, 1, 0])
      2.0
      >>> distance.sqeuclidean([1, 1, 0], [0, 1, 0])
      1.0